<?php

namespace App\Filament\Resources\SuratKematianResource\Pages; // Sesuaikan namespace

use App\Filament\Resources\SuratKematianResource; // Sesuaikan resource
use Filament\Resources\Pages\CreateRecord;
use Illuminate\Database\Eloquent\Model;
use Filament\Notifications\Notification;
use App\Models\Penduduk; // Pastikan Penduduk diimport
use App\Models\SuratKematian; // Pastikan SuratKematian diimport

class CreateSuratKematian extends CreateRecord
{
    protected static string $resource = SuratKematianResource::class;

    protected function handleRecordCreation(array $data): Model
    {
        // Set status awal secara otomatis
        $data['status'] = 'menunggu_acc_admin_desa';

        // Buat record surat
        $surat = static::getModel()::create($data);

        // Panggil fungsi afterCreate dari Resource untuk generate PDF
        static::getResource()::afterCreate($surat);

        Notification::make()
            ->title('Surat Kematian berhasil diajukan.')
            ->success()
            ->body('Surat Anda akan diverifikasi oleh Admin Desa.')
            ->send();

        return $surat;
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}